Skip to main content
GET
/
v1
/
entities
/
consumer
/
search
Search consumer core identities by name, email, SSN, or date of birth.
curl --request GET \
  --url https://api.example.com/v1/entities/consumer/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identifier": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "personal_email": "<string>",
    "date_of_birth": "<string>",
    "social_security_number": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

network_id
string<uuid>
required

Network scope for the search

first_name
string | null

Partial match on first name

last_name
string | null

Partial match on last name

personal_email
string | null

Partial match on email

social_security_number
string | null

Exact match on SSN

date_of_birth
string | null

Exact match on date of birth (YYYY-MM-DD)

limit
integer
default:20

Max results

Required range: 1 <= x <= 100

Response

Successful Response

id
string<uuid>
required
identifier
string
required
created_at
string | null
updated_at
string | null
first_name
string | null
last_name
string | null
personal_email
string | null
date_of_birth
string | null
social_security_number
string | null